<script setup lang="ts">
import { ref } from "vue";
import Invoice from "/@/components/Invoice";

const visible = ref(false);
const invNumber = ref("");

defineExpose({
  onDisplay({ YFPHM }) {
    invNumber.value = YFPHM;
    visible.value = true;
  }
});
</script>

<template>
  <el-dialog v-model="visible" width="1040px" :close-on-click-modal="false" :close-on-press-escape="false" >
    <Invoice :inv-number="invNumber" type="sale" />
  </el-dialog>
</template>
